| AAX SDK 2.8.0 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Attributes
AAX_SPlugInChunkHeader Struct Reference

`#include <AAX.h>`

## Description

Plug-in chunk header.

Legacy Porting Notes:
  To ensure compatibility with TDM/RTAS plug-ins whose implementation requires `fSize` to be equal to the size of the chunk's header plus its data, AAE performs some behind-the-scenes record keeping.
  The following actions are only taken for AAX plug-ins, so, e.g., if a chunk is stored by an RTAS or TDM plug-in that reports data+header size in `fSize` and this chunk is then loaded by the AAX version of the plug-in, the header size will be cached as-is from the legacy plug-in and will be subtracted out before the chunk data is passed to the AAX plug-in. If a chunk is stored by an AAX plug-in and is then loaded by a legacy plug-in, the legacy plug-in will receive the cached plug-in header with `fSize` equal to the data+header size.
  These are the special actions that AAE takes to ensure backwards-compatibility when handling AAX chunk data:
  - When AAE retrieves the size of a chunk from an AAX plug-in using GetChunkSize(), it adds the chunk header size to the amount of memory that it allocates for the chunk
  - When AAE retrieves a chunk from an AAX plug-in using GetChunk(), it adds the chunk header size to `fChunkSize` before caching the chunk
  - Before calling SetChunk() or CompareActiveChunk(), AAE subtracts the chunk header size from the cached chunk's header's `fChunkSize` member

## Public Attributes
int32_t | fSize
| The size of the chunk's fData member.
int32_t | fVersion
| The chunk's version.
AAX_CTypeID | fManufacturerID
| The Plug-In's manufacturer ID.
AAX_CTypeID | fProductID
| The Plug-In file's product ID.
AAX_CTypeID | fPlugInID
| The ID of a particular Plug-In within the file.
AAX_CTypeID | fChunkID
| The ID of a particular Plug-In chunk.
unsigned char | fName [32]
| A user defined name for this chunk.

## Member Data Documentation

## ◆ fSize

int32_t AAX_SPlugInChunkHeader::fSize

The size of the chunk's fData member.

## ◆ fVersion

int32_t AAX_SPlugInChunkHeader::fVersion

The chunk's version.

## ◆ fManufacturerID

AAX_CTypeID AAX_SPlugInChunkHeader::fManufacturerID

The Plug-In's manufacturer ID.

## ◆ fProductID

AAX_CTypeID AAX_SPlugInChunkHeader::fProductID

The Plug-In file's product ID.

## ◆ fPlugInID

AAX_CTypeID AAX_SPlugInChunkHeader::fPlugInID

The ID of a particular Plug-In within the file.

## ◆ fChunkID

AAX_CTypeID AAX_SPlugInChunkHeader::fChunkID

The ID of a particular Plug-In chunk.

## ◆ fName

unsigned char AAX_SPlugInChunkHeader::fName[32]

A user defined name for this chunk.

The documentation for this struct was generated from the following file:

- AAX.h